Retrieves a user timesheet with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_timesheet| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key of User |
globally unique identifier |
Required |
| hour_type_id |
Foreign key of the hour type |
globally unique identifier |
Required |
| date_from_rounded |
Date+Time timesheet FROM |
date |
Required |
| date_to_rounded |
Date+Time timesheet TO |
date |
Required |
| remark |
Additional remark field |
string | |
| is_approved |
Inform if this user_timesheet belongs to a week approved (readonly) |
boolean | |
| db_table_id |
Foreign key to the table timesheet is linked. Can be a jobs,project,company or empty |
globally unique identifier | |
| db_table_name |
Value of the linked table (from db_table_id) |
string | |
| id_in_table |
Foreign key of the object linked. Can be a jobs.id, project.id , company.id or empty |
globally unique identifier |
Optionally required : id_in_table must be provided |
| free_jobs_reference |
In case the user didn’t select a linked object, he can fill himself a reference |
string | |
| property_1_checked |
True/False status of property 1 |
boolean | |
| property_2_checked |
True/False status of property 2 |
boolean | |
| property_3_checked |
True/False status of property 3 |
boolean | |
| property_4_checked |
True/False status of property 4 |
boolean | |
| property_5_checked |
True/False status of property 5 |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "acc0662e-cd62-46b8-889f-786e858ece9d",
"user_id": "4e76a58c-72b9-465d-8ce2-a093b8494d7e",
"hour_type_id": "336a4708-7491-4067-be65-5b09d0c2e412",
"date_from_rounded": "2026-06-02T03:49:59.9935248+00:00",
"date_to_rounded": "2026-06-02T03:49:59.9935248+00:00",
"remark": "sample string 6",
"is_approved": true,
"db_table_id": "c67b4af7-cda9-4505-b80c-38c9c10a689e",
"db_table_name": "sample string 9",
"id_in_table": "72d61b23-9c7e-438f-915c-940ce3685860",
"free_jobs_reference": "sample string 11",
"property_1_checked": true,
"property_2_checked": true,
"property_3_checked": true,
"property_4_checked": true,
"property_5_checked": true,
"modified_dateutc": "2026-06-02T03:49:59.9935248+00:00"
}